# 按购物车ID更新购物车商品

更新现有的购物车商品或在购物车中创建商品。

Endpoint: PUT /v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。
    Example: 44056

  - `cart_id` (string, required)
    购物车ID。
    Example: "custom_id"

  - `item_sku` (string, required)
    商品SKU。
    Example: "booster_mega_1"

## Request fields (application/json):

  - `currency` (string)
    首选支付币种。参照[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)标准的三字母货币代码。

  - `quantity` (number)
    商品数量。

## Response 404 fields (application/json):

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with Project ID = 44056 and SKU = booster_mega_12222 not found"

  - `statusCode` (integer)
    Example: 404

## Response 422 fields (application/json):

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "Item quantity must be non-negative integer."

  - `statusCode` (integer)
    Example: 422


## Response 204 fields
